Bug 862835 - Missing dependency on nm-connection-editor
Missing dependency on nm-connection-editor
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
17
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Control Center Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-03 13:32 EDT by Peter Brommer
Modified: 2012-12-20 10:33 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 849268
Environment:
Last Closed: 2012-12-20 10:33:53 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Brommer 2012-10-03 13:32:27 EDT
The bug below also applies to fc17. After preupgrade from fc16, I was left without NetworkManager-gnome, and thus unable to connect to WPA2-enterprise wifi networks (the WPA2-Personal probably can manage without nm-connection-editor). Cost me hours to get this working again.

So here: Description of problem:
Setting up wireless connection with WPA2-Enterprise security is impossible, if nm-connection-editor (part of the NetworkManager-gnome) package is not available.

Version: 3.4.2-1.fc17

Reproducible: always, if NetworkManager-gnome is not installed.

Steps to reproduce:
1) Try to connect to unknown WPA2-Enterprise wifi network.
2) Alternatively: Set up unlisted connection vial Network Settings - Wireless - Network Name: Other... 

Actual results:
Case 1) Dialogue to enter security details does not contain any fields to enter security details. Dropdown list next to "Wireless security" is grayed out. Connecting impossible.
Case 2) Dropdown list for "Wireless security" contains only element "None"

Expected results: 
Case 1) Fields for entering security parameters available.
Case 2) Full selection of wireless security options,.

Additional info: Installing NetworkManager-gnome fixes all problems, so it should be a required package for control-center.
+++ This bug was initially created as a clone of Bug #849268 +++

control-center's Network panel calls nm-connection-editor to edit certain types of connections (I think wireless connections and VPNs):

panels/network/cc-network-panel.c:                cmdline = g_strdup_printf ("nm-connection-editor --create --type %s", type);
panels/network/cc-network-panel.c:                        g_warning ("Failed to launch nm-connection-editor: %s", error->message);
panels/network/net-vpn.c:        cmdline = g_strdup_printf ("nm-connection-editor --edit %s", uuid);
panels/network/net-vpn.c:                g_warning ("Failed to launch nm-connection-editor: %s", error->message);
panels/network/net-device.c:        cmdline = g_strdup_printf ("nm-connection-editor --edit %s", uuid);
panels/network/net-device.c:                g_warning ("Failed to launch nm-connection-editor: %s", error->message);

but our control-center package has no dependency on nm-connection-editor. If you try and configure a VPN connection without it installed, you just get zero feedback (the 'Failed to launch' message is printed only to the console if you ran from a console, I think, there's no graphical error).

--- Additional comment from debarshir@redhat.com on 2012-08-17 18:46:14 EDT ---

commit 9d38f9b3b28fed4251fe45eac87917d2dda0b26d
Author: Debarshi Ray <debarshir@gnome.org>
Date:   Sat Aug 18 00:45:33 2012 +0200

    Add Requires: nm-connection-editor (RH #849268)
Comment 1 Fedora Update System 2012-10-05 13:45:42 EDT
control-center-3.4.2-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/control-center-3.4.2-3.fc17
Comment 2 Fedora Update System 2012-10-05 23:43:55 EDT
Package control-center-3.4.2-3.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing control-center-3.4.2-3.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-15483/control-center-3.4.2-3.fc17
then log in and leave karma (feedback).
Comment 3 James Begley 2012-10-06 06:54:44 EDT
Adding a requires on nm-connection-editor has made this package un-installable

--> Running transaction check
---> Package control-center.x86_64 1:3.4.2-1.fc17 will be updated
---> Package control-center.x86_64 1:3.4.2-3.fc17 will be an update
--> Processing Dependency: nm-connection-editor for package: 1:control-center-3.4.2-3.fc17.x86_64
---> Package control-center-filesystem.x86_64 1:3.4.2-1.fc17 will be updated
---> Package control-center-filesystem.x86_64 1:3.4.2-3.fc17 will be an update
--> Finished Dependency Resolution
Error: Package: 1:control-center-3.4.2-3.fc17.x86_64 (updates-testing)
           Requires: nm-connection-editor

I believe that the correct requires tag is NetworkManager-gnome
Comment 4 Fedora Update System 2012-10-06 15:00:25 EDT
control-center-3.4.2-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/control-center-3.4.2-4.fc17
Comment 5 Tom Horsley 2012-11-03 12:35:51 EDT
OK, now you've made it essentially impossible to remove NetworkManager on any
system. I have systems with moderately complex network stuff going on
with vlans and bridges, and running my own access point with hostapd, and
things simply do not work if NetworkManager is installed. I need to be able to remove it, and now I can't remove it without taking things like the audio
volume control with it.
Comment 6 Adam Williamson 2012-11-03 13:02:25 EDT
You can disable it without uninstalling it.
Comment 7 Tom Horsley 2012-11-03 15:44:42 EDT
The only way to disable it for sure that I have found is something like:

rpm -q --list NetworkManager | xargs rm -rf

Otherwise it keeps rising from the dead as something somewhere starts it back up again. For instance, I plug in a USB wi-fi dongle, and suddenly NM is grabbing it and trying to do something "helpful" with it that I don't want done.
Comment 8 Adam Williamson 2012-11-04 00:37:56 EDT
systemctl mask NetworkManager.service should do the job fine.
Comment 9 Fedora Update System 2012-12-20 10:33:56 EST
control-center-3.4.2-3.fc17 has been pushed to the Fedora 17 obsolete repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.